/*
 * Coscine Web API
 *
 * Coscine (short for <b>CO</b>llaborative <b>SC</b>ientific <b>IN</b>tegration <b>E</b>nvironment) is the research data management platform for your research project.
 *
 * The version of the OpenAPI document: 2.0
 * Contact: servicedesk@itc.rwth-aachen.de
 * Generated by: https://github.com/openapitools/openapi-generator.git
 */

using System;
using System.IO;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Reflection;
using RestSharp;
using Xunit;

using Coscine.ApiClient.Core.Client;
using Coscine.ApiClient.Core.Api;
// uncomment below to import models
//using Coscine.ApiClient.Core.Model;

namespace Coscine.ApiClient.Core.Test.Api
{
    /// <summary>
    ///  Class for testing VocabularyApi
    /// </summary>
    /// <remarks>
    /// This file is automatically generated by OpenAPI Generator (https://openapi-generator.tech).
    /// Please update the test case below to test the API endpoint.
    /// </remarks>
    public class VocabularyApiTests : IDisposable
    {
        private VocabularyApi instance;

        public VocabularyApiTests()
        {
            instance = new VocabularyApi();
        }

        public void Dispose()
        {
            // Cleanup when everything is done.
        }

        /// <summary>
        /// Test an instance of VocabularyApi
        /// </summary>
        [Fact]
        public void InstanceTest()
        {
            // TODO uncomment below to test 'IsType' VocabularyApi
            //Assert.IsType<VocabularyApi>(instance);
        }

        /// <summary>
        /// Test ApiV2VocabulariesOptions
        /// </summary>
        [Fact]
        public void ApiV2VocabulariesOptionsTest()
        {
            // TODO uncomment below to test the method and replace null with proper value
            //instance.ApiV2VocabulariesOptions();
        }

        /// <summary>
        /// Test GetVocabularies
        /// </summary>
        [Fact]
        public void GetVocabulariesTest()
        {
            // TODO uncomment below to test the method and replace null with proper value
            //string? searchTerm = null;
            //AcceptedLanguage? language = null;
            //int? pageNumber = null;
            //int? pageSize = null;
            //string? orderBy = null;
            //var response = instance.GetVocabularies(searchTerm, language, pageNumber, pageSize, orderBy);
            //Assert.IsType<VocabularyDtoPagedResponse>(response);
        }

        /// <summary>
        /// Test GetVocabularyInstance
        /// </summary>
        [Fact]
        public void GetVocabularyInstanceTest()
        {
            // TODO uncomment below to test the method and replace null with proper value
            //string instance = null;
            //AcceptedLanguage? acceptLanguage = null;
            //var response = instance.GetVocabularyInstance(instance, acceptLanguage);
            //Assert.IsType<VocabularyInstanceDtoResponse>(response);
        }

        /// <summary>
        /// Test GetVocabularyInstances
        /// </summary>
        [Fact]
        public void GetVocabularyInstancesTest()
        {
            // TODO uncomment below to test the method and replace null with proper value
            //string varClass = null;
            //string? searchTerm = null;
            //AcceptedLanguage? language = null;
            //int? pageSize = null;
            //int? pageNumber = null;
            //string? orderBy = null;
            //var response = instance.GetVocabularyInstances(varClass, searchTerm, language, pageSize, pageNumber, orderBy);
            //Assert.IsType<VocabularyInstanceDtoPagedResponse>(response);
        }
    }
}
